Skip to main content
GET
/
v1
/
entities
/
{entity_id}
/
invoices
List Invoices
curl --request GET \
  --url https://api.prime.coinbase.com/v1/entities/{entity_id}/invoices
{
  "invoices": [
    {
      "id": "<string>",
      "billing_month": 123,
      "billing_year": 123,
      "due_date": "<string>",
      "invoice_number": "<string>",
      "state": "INVOICE_STATE_UNSPECIFIED",
      "usd_amount_paid": 123,
      "usd_amount_owed": 123,
      "invoice_items": [
        {
          "description": "<string>",
          "currency_symbol": "<string>",
          "invoice_type": "INVOICE_TYPE_UNSPECIFIED",
          "rate": 123,
          "quantity": 123,
          "price": 123,
          "average_auc": 123,
          "total": 123
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
InvoiceService invoiceService = PrimeServiceFactory.createInvoiceService(client);

ListInvoicesRequest request = new ListInvoicesRequest.Builder("ENTITY_ID_HERE").build();

ListInvoicesResponse response = invoiceService.listInvoices(request);
For more information, please visit the Prime Java SDK.

Path Parameters

entity_id
string
required

The entity ID

Query Parameters

states
enum<string>[]

Invoice states to filter the response

Available options:
INVOICE_STATE_UNSPECIFIED,
INVOICE_STATE_IMPORTED,
INVOICE_STATE_BILLED,
INVOICE_STATE_PARTIALLY_PAID,
INVOICE_STATE_PAID
billing_year
integer<int32>

Filter invoices by year

billing_month
integer<int32>

Integer representing the month to filter by, 1 for January, 12 for December

cursor
integer<int32>

Cursor used for pagination (last consumed record)

limit
integer<int32>

Number of items to retrieve

Response

200 - application/json

A successful response.

invoices
Invoice · object[]